/*
 * Represents a simplefied email message with single sender, 
 * multiple recipients and carbon copies, single subject and body.
 */

import java.util.*;

public class Message {
	private String sender;
	private Set recipients;
	private Set carbonCopies;
	private String subject;
	private String body;
	
	public Message() {
		sender = new String();
		recipients = new HashSet();
		carbonCopies = new HashSet();
		subject = new String();
		body = new String();
	}
	
	public String toString() {
		String result = new String();
		result += "from: " + getSender() + "\n";
		result += "to: ";
		Iterator rec = getRecipients().iterator();
		while (rec.hasNext()) {
			result += (String) rec.next();
			if (rec.hasNext()) result += ", ";
		}
		result += "\n";
		result += "cc: ";
		Iterator cc = getCarbonCopies().iterator();
		while (cc.hasNext()) {
			result += (String) cc.next();
			if (cc.hasNext()) result += ", ";
		}
		result += "\n";
		result += "subject: " + getSubject() + "\n";
		result += "body: " + getBody() + "\n";
		return result;
	}
		
	// Standard getter/setter methods
	public String getBody() {
		return body;
	}
	public Set getCarbonCopies() {
		return carbonCopies;
	}
	public Set getRecipients() {
		return recipients;
	}
	public String getSender() {
		return sender;
	}
	public String getSubject() {
		return subject;
	}
	public void setBody(String string) {
		body = string;
	}
	public void setCarbonCopies(Set set) {
		carbonCopies = set;
	}
	public void setRecipients(Set set) {
		recipients = set;
	}
	public void setSender(String string) {
		sender = string;
	}
	public void setSubject(String string) {
		subject = string;
	}
}
